// swift-tools-version:5.3

import PackageDescription

let package = Package(
    name: "NativeUIKit",
    platforms: [
        .iOS(.v12), .tvOS(.v12), .watchOS(.v6)
    ],
    products: [
        .library(
            name: "NativeUIKit", targets: ["NativeUIKit"]
        )
    ],
    dependencies: [
        .package(name: "SparrowKit", url: "https://github.com/ivanvorobei/SparrowKit", .exact("3.4.8")),
        .package(name: "SPPerspective", url: "https://github.com/ivanvorobei/SPPerspective", .exact("1.4.1")),
        .package(name: "SPDiffable", url: "https://github.com/ivanvorobei/SPDiffable", .exactItem("2.2.0"))
    ],
    targets: [
        .target(
            name: "NativeUIKit",
            dependencies: [
                .product(name: "SparrowKit", package: "SparrowKit"),
                .product(name: "SPPerspective", package: "SPPerspective"),
                .product(name: "SPDiffable", package: "SPDiffable")
            ],
            swiftSettings: [
                .define("NATIVEUIKIT_SPM")
            ]
        )
    ],
    swiftLanguageVersions: [.v5]
)
